Debian Bug report logs - #390573
adonthell-data: Dont including pyc files

version graph

Package: adonthell-data; Maintainer for adonthell-data is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for adonthell-data is src:adonthell-data.

Reported by: Florian Ludwig <dino@php4fun.de>

Date: Sun, 1 Oct 2006 21:33:15 UTC

Severity: grave

Found in versions adonthell-data/0.3.4.cvs.20050903-2, adonthell-data/0.3.4.cvs.20050903-2.1

Fixed in version adonthell-data/0.3.4.cvs.20050903-2.2

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gordon Fraser <gordon@debian.org>:
Bug#390573; Package adonthell-data. Full text and rfc822 format available.

Acknowledgement sent to Florian Ludwig <dino@php4fun.de>:
New Bug report received and forwarded. Copy sent to Gordon Fraser <gordon@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Ludwig <dino@php4fun.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: adonthell-data: Dont including pyc files
Date: Sun, 01 Oct 2006 22:47:05 +0200
Package: adonthell-data
Version: 0.3.4.cvs.20050903-2
Severity: grave
Justification: renders package unusable

Including the pyc-files make the pkg not working.

$ adonthell wastesedge
ImportError: Bad magic number in 
/usr/share/games/adonthell/games/wastesedge/scripts/schedules/__init__.pyc
ImportError: Bad magic number in 
/usr/share/games/adonthell/games/wastesedge/scripts/init.pyc
exec_file: init load failed:



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (650, 'unstable'), (600, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages adonthell-data depends on:
ii  adonthell         0.3.4.cvs.20050813-2.3 A 2D graphical roleplaying game

adonthell-data recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Gordon Fraser <gordon@debian.org>:
Bug#390573; Package adonthell-data. Full text and rfc822 format available.

Acknowledgement sent to Olafur Jens Sigurdsson <ojs@klaki.net>:
Extra info received and forwarded to list. Copy sent to Gordon Fraser <gordon@debian.org>. Full text and rfc822 format available.

Message #10 received at 390573@bugs.debian.org (full text, mbox):

From: Olafur Jens Sigurdsson <ojs@klaki.net>
To: 390573@bugs.debian.org
Subject: RE: adonthell-data: Dont including pyc files
Date: Sat, 7 Oct 2006 19:18:29 +0000
Hi, I just tried to compile the data part from source and it works
fine, but those files mentioned in the bug report are still there, so
something else is going on I think. 

HTH

Oli



Information forwarded to debian-bugs-dist@lists.debian.org, Gordon Fraser <gordon@debian.org>:
Bug#390573; Package adonthell-data. Full text and rfc822 format available.

Acknowledgement sent to Olafur Jens Sigurdsson <ojs@klaki.net>:
Extra info received and forwarded to list. Copy sent to Gordon Fraser <gordon@debian.org>. Full text and rfc822 format available.

Message #15 received at 390573@bugs.debian.org (full text, mbox):

From: Olafur Jens Sigurdsson <ojs@klaki.net>
To: 390573@bugs.debian.org
Subject: Re: RE: adonthell-data: Dont including pyc files
Date: Sat, 7 Oct 2006 22:00:16 +0000
Had a little further look into this.

Think that the .pyc were compiled using a python version 2.3 but we in
unstable use python 2.4 and so this error occurs. The package just has
to be compiled again using the current unstable python version and set
the dependencies accordingly.

HTH

Oli



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#390573; Package adonthell-data. Full text and rfc822 format available.

Acknowledgement sent to Gordon Fraser <gordon@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 390573@bugs.debian.org (full text, mbox):

From: Gordon Fraser <gordon@debian.org>
To: 390573@bugs.debian.org
Subject: Re: Bug#390573: RE: adonthell-data: Dont including pyc files
Date: Sun, 08 Oct 2006 09:44:36 +0200
Am Samstag, den 07.10.2006, 22:00 +0000 schrieb Olafur Jens Sigurdsson:
> Had a little further look into this.
> 
> Think that the .pyc were compiled using a python version 2.3 but we in
> unstable use python 2.4 and so this error occurs. The package just has
> to be compiled again using the current unstable python version and set
> the dependencies accordingly.

Thanks, I'll do so ASAP.

Gordon





Tags added: fixed Request was from Gürkan Sengün <gurkan@linuks.mine.nu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gordon Fraser <gordon@debian.org>:
Bug#390573; Package adonthell-data. Full text and rfc822 format available.

Acknowledgement sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
Extra info received and forwarded to list. Copy sent to Gordon Fraser <gordon@debian.org>. Full text and rfc822 format available.

Message #27 received at 390573@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
To: 390573@bugs.debian.org
Subject: Shipping .pyc files violates python policy
Date: Thu, 19 Oct 2006 23:37:54 -0500
# -2.1 NMU did not fix this
package adonthell-data
tag 390573 -fixed
thanks

Shipping .pyc files is a violation of python policy 2.6.

This package has a rather obnoxious upstream build system,
that actually ships *only* the .pyc files and not the .py ones.
Thus, adding dh_pysupport did not solve the problem at all
(I assume it did kill the symptoms, by virtue of rebuilding
with 2.4).

A fix for this problem requires patching the build system to
avoid all this. Then maybe python-support will be able to do
its job.

-- 
Rodrigo Gallardo



Tags removed: fixed Request was from Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gordon Fraser <gordon@debian.org>:
Bug#390573; Package adonthell-data. Full text and rfc822 format available.

Acknowledgement sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
Extra info received and forwarded to list. Copy sent to Gordon Fraser <gordon@debian.org>. Full text and rfc822 format available.

Message #34 received at 390573@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
To: Debian Bug Tracking System <390573@bugs.debian.org>
Subject: adonthell-data: Partial patch
Date: Sun, 22 Oct 2006 19:59:59 -0500
[Message part 1 (text/plain, inline)]
Package: adonthell-data
Version: 0.3.4.cvs.20050903-2.1
Followup-For: Bug #390573

The attached patch is a first approximation. As it is, it causes a
failure on postinst, when it tries to byte compile 
/usr/share/games/adonthell/games/wastesedge/scripts/modules/player_text.py

In order to finish the patch, some way of avoiding byte compilation
for that specific file needs to be found. 

Otherwise, the patch seems to work fine.
[adonthell-data.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gordon Fraser <gordon@debian.org>:
Bug#390573; Package adonthell-data. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@ekaia.org>:
Extra info received and forwarded to list. Copy sent to Gordon Fraser <gordon@debian.org>. Full text and rfc822 format available.

Message #39 received at 390573@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@ekaia.org>
To: 390573@bugs.debian.org
Subject: diff for 0.3.4.cvs.20050903-2.2 NMU
Date: Sat, 28 Oct 2006 22:44:04 +0200
[Message part 1 (text/plain, inline)]
Hi,

Attached is the diff for my adonthell-data 0.3.4.cvs.20050903-2.2 NMU.
[adonthell-data-0.3.4.cvs.20050903-2.2-nmu.diff (text/plain, attachment)]

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Florian Ludwig <dino@php4fun.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 390573-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 390573-close@bugs.debian.org
Subject: Bug#390573: fixed in adonthell-data 0.3.4.cvs.20050903-2.2
Date: Sat, 28 Oct 2006 14:17:29 -0700
Source: adonthell-data
Source-Version: 0.3.4.cvs.20050903-2.2

We believe that the bug you reported is fixed in the latest version of
adonthell-data, which is due to be installed in the Debian FTP archive:

adonthell-data_0.3.4.cvs.20050903-2.2.diff.gz
  to pool/main/a/adonthell-data/adonthell-data_0.3.4.cvs.20050903-2.2.diff.gz
adonthell-data_0.3.4.cvs.20050903-2.2.dsc
  to pool/main/a/adonthell-data/adonthell-data_0.3.4.cvs.20050903-2.2.dsc
adonthell-data_0.3.4.cvs.20050903-2.2_all.deb
  to pool/main/a/adonthell-data/adonthell-data_0.3.4.cvs.20050903-2.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 390573@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated adonthell-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 28 Oct 2006 22:05:25 +0200
Source: adonthell-data
Binary: adonthell-data
Architecture: source all
Version: 0.3.4.cvs.20050903-2.2
Distribution: unstable
Urgency: low
Maintainer: Gordon Fraser <gordon@debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 adonthell-data - Data files needed by Adonthell
Closes: 390573
Changes: 
 adonthell-data (0.3.4.cvs.20050903-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Luis Rodrigo Gallardo Cruz ]
   * Stop shipping *.pyc files (Closes: #390573).
 .
   [ Ana Beatriz Guerrero Lopez ]
   * Moved debhelper and quilt to Build-Depends.
   * Little changes to Rodrigo's patch, and added patch that fixes
     player_text.py
   * Bumped standards-version to 3.7.2, no changes required.
Files: 
 b50e07d90bd574742c2616f7fde8ec12 768 games optional adonthell-data_0.3.4.cvs.20050903-2.2.dsc
 f3543c9f261c079d5986ef03c17a947e 7513 games optional adonthell-data_0.3.4.cvs.20050903-2.2.diff.gz
 f33af2705fd761e1494b73f777b02b55 10147770 games optional adonthell-data_0.3.4.cvs.20050903-2.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFFQ8H3n3j4POjENGERApJXAJ9h+niDlmiy6afaWN49oY52JhAJ2gCfWl/F
+rGuuUOeB0tBPsXCRqNNkOg=
=HGrU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 12:45:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:23:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.